## NAS Config Signal Info NAS Config Signal Info |

## Functions

QmiMessageNasConfigSignalInfoInput * | qmi_message_nas_config_signal_info_input_new ()
QmiMessageNasConfigSignalInfoInput * | qmi_message_nas_config_signal_info_input_ref ()
void | qmi_message_nas_config_signal_info_input_unref ()
gboolean | qmi_message_nas_config_signal_info_input_get_rscp_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_rscp_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_get_lte_report ()
gboolean | qmi_message_nas_config_signal_info_input_set_lte_report ()
gboolean | qmi_message_nas_config_signal_info_input_get_rsrp_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_rsrp_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_get_rsrq_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_rsrq_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_get_io_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_io_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_get_lte_snr_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_lte_snr_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_get_sinr_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_sinr_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_get_ecio_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_ecio_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_get_rssi_threshold ()
gboolean | qmi_message_nas_config_signal_info_input_set_rssi_threshold ()
QmiMessageNasConfigSignalInfoOutput * | qmi_message_nas_config_signal_info_output_ref ()
void | qmi_message_nas_config_signal_info_output_unref ()
gboolean | qmi_message_nas_config_signal_info_output_get_result ()
void | qmi_client_nas_config_signal_info ()
QmiMessageNasConfigSignalInfoOutput * | qmi_client_nas_config_signal_info_finish ()

## Types and Values

| QmiMessageNasConfigSignalInfoInput
| QmiMessageNasConfigSignalInfoOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasConfigSignalInfoInput
        ╰── QmiMessageNasConfigSignalInfoOutput

## Description

## Functions

### qmi_message_nas_config_signal_info_input_new ()

    QmiMessageNasConfigSignalInfoInput *
    qmi_message_nas_config_signal_info_input_new
                                   (void);

Allocates a new QmiMessageNasConfigSignalInfoInput.

#### Returns

the newly created QmiMessageNasConfigSignalInfoInput. The returned value should be freed with `qmi_message_nas_config_signal_info_input_unref()`.

### qmi_message_nas_config_signal_info_input_ref ()

    QmiMessageNasConfigSignalInfoInput *
    qmi_message_nas_config_signal_info_input_ref
                                   (QmiMessageNasConfigSignalInfoInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |

#### Returns

the new reference to `self` .

### qmi_message_nas_config_signal_info_input_unref ()

    void
    qmi_message_nas_config_signal_info_input_unref
                                   (QmiMessageNasConfigSignalInfoInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |

### qmi_message_nas_config_signal_info_input_get_rscp_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_rscp_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_rscp_threshold,
                                    GError **error);

Get the 'RSCP Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rscp_threshold | a placeholder for the output GArray of gint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_rscp_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_rscp_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_rscp_threshold,
                                    GError **error);

Set the 'RSCP Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rscp_threshold | a GArray of gint8 elements. A new reference to `value_rscp_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_lte_report ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_lte_report
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    guint8 *value_lte_report_rate,
                                    guint8 *value_lte_report_average_period,
                                    GError **error);

Get the 'LTE Report' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_lte_report_rate | a placeholder for the output guint8, or `NULL` if not required. |
value_lte_report_average_period | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_lte_report ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_lte_report
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    guint8 value_lte_report_rate,
                                    guint8 value_lte_report_average_period,
                                    GError **error);

Set the 'LTE Report' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_lte_report_rate | a guint8. |
value_lte_report_average_period | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_rsrp_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_rsrp_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_rsrp_threshold,
                                    GError **error);

Get the 'RSRP Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rsrp_threshold | a placeholder for the output GArray of gint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_rsrp_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_rsrp_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_rsrp_threshold,
                                    GError **error);

Set the 'RSRP Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rsrp_threshold | a GArray of gint16 elements. A new reference to `value_rsrp_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_rsrq_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_rsrq_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_rsrq_threshold,
                                    GError **error);

Get the 'RSRQ Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rsrq_threshold | a placeholder for the output GArray of gint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_rsrq_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_rsrq_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_rsrq_threshold,
                                    GError **error);

Set the 'RSRQ Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rsrq_threshold | a GArray of gint8 elements. A new reference to `value_rsrq_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_io_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_io_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_io_threshold,
                                    GError **error);

Get the 'IO Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_io_threshold | a placeholder for the output GArray of gint32 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_io_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_io_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_io_threshold,
                                    GError **error);

Set the 'IO Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_io_threshold | a GArray of gint32 elements. A new reference to `value_io_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_lte_snr_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_lte_snr_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_lte_snr_threshold,
                                    GError **error);

Get the 'LTE SNR Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_lte_snr_threshold | a placeholder for the output GArray of gint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_lte_snr_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_lte_snr_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_lte_snr_threshold,
                                    GError **error);

Set the 'LTE SNR Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_lte_snr_threshold | a GArray of gint16 elements. A new reference to `value_lte_snr_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_sinr_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_sinr_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_sinr_threshold,
                                    GError **error);

Get the 'SINR Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_sinr_threshold | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_sinr_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_sinr_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_sinr_threshold,
                                    GError **error);

Set the 'SINR Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_sinr_threshold | a GArray of guint8 elements. A new reference to `value_sinr_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_ecio_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_ecio_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_ecio_threshold,
                                    GError **error);

Get the 'ECIO Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_ecio_threshold | a placeholder for the output GArray of gint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_ecio_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_ecio_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_ecio_threshold,
                                    GError **error);

Set the 'ECIO Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_ecio_threshold | a GArray of gint16 elements. A new reference to `value_ecio_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_get_rssi_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_get_rssi_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray **value_rssi_threshold,
                                    GError **error);

Get the 'RSSI Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rssi_threshold | a placeholder for the output GArray of gint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_input_set_rssi_threshold ()

    gboolean
    qmi_message_nas_config_signal_info_input_set_rssi_threshold
                                   (QmiMessageNasConfigSignalInfoInput *self,
                                    GArray *value_rssi_threshold,
                                    GError **error);

Set the 'RSSI Threshold' field in the message.

#### Parameters

self | a QmiMessageNasConfigSignalInfoInput. |
value_rssi_threshold | a GArray of gint8 elements. A new reference to `value_rssi_threshold` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_config_signal_info_output_ref ()

    QmiMessageNasConfigSignalInfoOutput *
    qmi_message_nas_config_signal_info_output_ref
                                   (QmiMessageNasConfigSignalInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasConfigSignalInfoOutput. |

#### Returns

the new reference to `self` .

### qmi_message_nas_config_signal_info_output_unref ()

    void
    qmi_message_nas_config_signal_info_output_unref
                                   (QmiMessageNasConfigSignalInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasConfigSignalInfoOutput. |

### qmi_message_nas_config_signal_info_output_get_result ()

    gboolean
    qmi_message_nas_config_signal_info_output_get_result
                                   (QmiMessageNasConfigSignalInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasConfigSignalInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_client_nas_config_signal_info ()

    void
    qmi_client_nas_config_signal_info (QmiClientNas *self,
                                       QmiMessageNasConfigSignalInfoInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Config Signal Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_config_signal_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasConfigSignalInfoInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_nas_config_signal_info_finish ()

    QmiMessageNasConfigSignalInfoOutput *
    qmi_client_nas_config_signal_info_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_config_signal_info()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_config_signal_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasConfigSignalInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_config_signal_info_output_unref()`.

## Types and Values

### QmiMessageNasConfigSignalInfoInput

    typedef struct _QmiMessageNasConfigSignalInfoInput QmiMessageNasConfigSignalInfoInput;

The QmiMessageNasConfigSignalInfoInput structure contains private data and should only be accessed using the provided API.

### QmiMessageNasConfigSignalInfoOutput

    typedef struct _QmiMessageNasConfigSignalInfoOutput QmiMessageNasConfigSignalInfoOutput;

The QmiMessageNasConfigSignalInfoOutput structure contains private data and should only be accessed using the provided API.